Skip to main content
POST
/
billing
/
customer-session
/
create
/
portal-link-sharing
curl -X POST https://api.alguna.io/billing/customer-session/create/portal-link-sharing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "accountId": "acc_abc123"
  }'
{
  "id": "sess_def456",
  "sessionToken": "tok_def456...",
  "sessionUrl": "https://portal.alguna.io/hs/tok_def456..."
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Create a shareable customer portal session link. The link can be sent to customers to access their billing portal.
accountId
string
required
The account ID.
curl -X POST https://api.alguna.io/billing/customer-session/create/portal-link-sharing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "accountId": "acc_abc123"
  }'
{
  "id": "sess_def456",
  "sessionToken": "tok_def456...",
  "sessionUrl": "https://portal.alguna.io/hs/tok_def456..."
}
id
string
Session identifier.
sessionToken
string
Token for the session.
sessionUrl
string
Shareable URL for the customer portal.
Portal visibility settings (plan overview, billing details, invoice list, etc.) are inherited from your organization’s customer portal configuration.